Subject: coolview compiles on W95!
From: [email-masked] (Peter Boncz)

5 Jan 1998 02:59:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked]

Thanks Mickey, your load script was the key to success. I've
got coolview compiling now sweetly on W95!

For those who might be interested, I give a quick repeat of
things I had to do after downloading and extracting
the coolview-src.tar on my PC with as starting point
the original cygwin b18 binary distribution and bash
correctly installed, so compiling both C and C++ is no problem..

1) go to the cdk/ directory and run ./configure
2) go to cdk/winsup/ had to modify the .cc.o rule to explicitly
   specify g++ as compiler, and romover the -nostdinc++
   from its INCLUDES
3) made a cdk/libiberty/ directory, and placed the libiberty.a
   library in it. You also have to extract the .o files 
   there with ar x libiberty.a, as the make process looks for them.

   The missing libiberty problem was just signalled on the mailing-list
   and I forgot to mention this hack in an earlier posting

4) again adapt the makefile in the winsup/ directory, now
   by modifying the loader specification LD=<.some path.>/ld.exe
   into LD=<.some path>/ld.exe -T <.other path.>/lib/ldscripts/i386pe.xfixed

   The i386pe.xfixed is the corrected loader script as submitted 
   by Mickey ([email-masked]) in hist'Re: compiling coolview on W95'
   message.
 
   this problem solves the corrupt .dll problem on W95; where the other 
   hacks from this mailing list (like dllfix.exe) failed.

It then makes very nicely.

-- 
=== P.A. Boncz ================= phone: +31-20-525 7580 === WCW room F106 ===
=== (Ph.D. student)              email: [email-masked]                  ===
=== Magnum Database Project        PGP: finger [email-masked]     ===
=== University of Amsterdam ====== WWW: http://www.fwi.uva.nl/~boncz/ =======

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".